faked(1)

NAMN
faked - demon som kommer ihåg fejkad ägarskaps- och rättighetsinformation för filer som manipulerats av fakeroot-processer.

SYNOPSIS
faked [--debug] [--foreground] [--cleanup] [--key meddelande-nyckel] [--load] [--save-file spar-fil] [--port tcp-port]

BESKRIVNING
Om en fakeroot-process vill ändra ägarskap för en fil, är faked den process som kommer att komma ihåg den nya ägaren. Om samma fakeroot-process senare utför ett stat()-anrop för den filen, kommer libfakeroots ersättningsfunktion för stat() först att anropa faked för att få den fejkade ägarinformationen, osv. för den filen, och sedan rapportera denna.

FLAGGOR

--debug
    Skriv ut avlusningsinformation via stderr.

--foreground
    Förbli en förgrundsprocess.

--cleanup  number
    Rensa upp semaforerna.

--key  nyckelvärde
    Allokera ingen ny kommunikationskanal; använd istället kanalen som angivits via nyckeln (om den angivna kanalen inte existerar så skapas den).

--save-file  sparfil
    Spara miljön till sparfil vid avslut.

--load
    Läsa in en tidigare sparad miljö från standard in.

--unknown-is-real
    Okänt riktigt ägarskap av tidigare okända filer istället för att ställa in dem på root:root.

--port  tcp-port
    Använd TCP-port tcp-port.

BUGGAR
Inga kända. Tag dock i beaktande, att även om jag skrivit ett flertal större (och mindre) program, så har jag aldrig skrivit något så litet som fakeroot, som har så många buggar som fakeroot, och ändå varit så användbart som, låt säga, fakeroot version 0.0_3, den första versionen av programmet som kunde användas för att bygga sig själv.

LICENS
fakeroot distribueras under GNU General Public License. (GPL 2.0 eller senare).

FÖRFATTARE

joost witteveen
    <joostje@debian.org>

Clint Adams
    <clint@debian.org>

Timo Savola

ÖVERSÄTTNING
David Weinehall <tao@kernel.org>

MANUALSIDA
till större delen skriven av J.H.M. Dassen <jdassen@wi.LeidenUniv.nl> ändringar/tillägg av joost och Clint.

SE ÄVEN
fakeroot(1), dpkg-buildpackage(1), debuild(1) /usr/share/doc/fakeroot/DEBUG